## silverjuke 15.4

=== src/kiss_fft/Makefile ===
KFVER=1_2_1

DISTDIR=kiss_fft_v$(KFVER)
TARBALL=kiss_fft_v$(KFVER).tar.gz
ZIPFILE=kiss_fft_v$(KFVER).zip

testall:
	export DATATYPE=short && cd test && make test
	export DATATYPE=float && cd test && make test
	export DATATYPE=double && cd test && make test

tarball: clean
	tar --exclude CVS --exclude .cvsignore --exclude $(TARBALL) -cvzf $(TARBALL) .

clean:
	cd test && make clean
	cd tools && make clean
	rm -f kiss_fft*.tar.gz *~ *.pyc kiss_fft*.zip 
	rm -rf $(DISTDIR)

dist: tarball
	mkdir $(DISTDIR)
	cd $(DISTDIR) && tar -zxf ../$(TARBALL)
	rm $(TARBALL)
	tar -czf $(TARBALL) $(DISTDIR)
	zip -r $(ZIPFILE) $(DISTDIR)
	rm -rf $(DISTDIR)

upload: dist
	ncftpput upload.sourceforge.net incoming $(ZIPFILE) $(TARBALL)

asm: kiss_fft.s

kiss_fft.s: kiss_fft.c kiss_fft.h _kiss_fft_guts.h
	[ -e kiss_fft.s ] && mv kiss_fft.s kiss_fft.s~ || true
	gcc -S kiss_fft.c -O3 -march=pentiumpro -ffast-math -fomit-frame-pointer -dA -fverbose-asm 
	[ -e kiss_fft.s~ ] && diff kiss_fft.s~ kiss_fft.s || true

=== src/kiss_fft/test/Makefile ===

WARNINGS=-W -Wall -Wstrict-prototypes -Wmissing-prototypes -Waggregate-return \
    -Wcast-align -Wcast-qual -Wnested-externs -Wshadow -Wbad-function-cast \
    -Wwrite-strings


ifeq "$(NFFT)" ""
 NFFT=1800
endif
ifeq "$(NUMFFTS)" ""
 NUMFFTS=10000
endif

ifeq "$(DATATYPE)" ""
 DATATYPE=float
endif

BENCHKISS=bm_kiss_$(DATATYPE)
BENCHFFTW=bm_fftw_$(DATATYPE)
SELFTEST=st_$(DATATYPE)
TESTREAL=tr_$(DATATYPE)
TESTKFC=tkfc_$(DATATYPE)
FASTFILT=ff_$(DATATYPE)
FASTFILTREAL=ffr_$(DATATYPE)

ifeq  "$(DATATYPE)" "short"
 TYPEFLAGS=-DFIXED_POINT -Dkiss_fft_scalar=short
 SELFTESTSRC=selftest_short.c
else
 TYPEFLAGS=-Dkiss_fft_scalar=$(DATATYPE)
 SELFTESTSRC=selftest.c
endif

ifeq  "$(DATATYPE)" "float"
# fftw needs to be built with --enable-float to build this lib
 FFTWLIB=fftw3f
else
 FFTWLIB=fftw3
endif

SRCFILES=../kiss_fft.c ../tools/kiss_fftnd.c ../tools/kiss_fftr.c pstats.c ../tools/kfc.c

all: tools $(BENCHKISS) $(SELFTEST) $(BENCHFFTW) $(TESTREAL) $(TESTKFC)

tools:
	cd ../tools && make all

# for x86 pentium+ machines , these flags work well
#CFLAGS=-Wall -O3 -pedantic -march=pentiumpro -ffast-math -fomit-frame-pointer   -I.. -I../tools $(WARNINGS)
# If the above flags do not work, try the following
CFLAGS=-Wall -O3 -I.. -I../tools $(WARNINGS)

$(SELFTEST): $(SELFTESTSRC) $(SRCFILES)
	$(CC) -o $@ $(CFLAGS) $(TYPEFLAGS) -lm $+

$(TESTKFC): $(SRCFILES) 
	$(CC) -o $@ $(CFLAGS)  -DKFC_TEST $(TYPEFLAGS) -lm $+
	
$(TESTREAL): test_real.c $(SRCFILES)
	$(CC) -o $@ $(CFLAGS) $(TYPEFLAGS) -lm $+

$(BENCHKISS): benchkiss.c $(SRCFILES)
	$(CC) -o $@ $(CFLAGS) $(TYPEFLAGS) -lm  $+

$(BENCHFFTW): benchfftw.c pstats.c
	@echo "======attempting to build FFTW benchmark"
	@$(CC) -o $@ $(CFLAGS) -DDATATYPE$(DATATYPE) $+ -lm -l$(FFTWLIB) -L/usr/local/lib/ || echo "FFTW not available for comparison"

test: all
	@./$(TESTKFC)
	@echo "======1d & 2-d complex fft self test (type= $(DATATYPE) )"
	@./$(SELFTEST)
	@echo "======real FFT (type= $(DATATYPE) )"
	@./$(TESTREAL)
	@echo "======timing test (type=$(DATATYPE))"
	@./$(BENCHKISS) -x $(NUMFFTS) -n $(NFFT) 
	@[ -x ./$(BENCHFFTW) ] && ./$(BENCHFFTW) -x $(NUMFFTS) -n $(NFFT) ||true
	@echo "======higher dimensions type=$(DATATYPE))"
	@./testkiss.py

selftest.c:
	./mk_test.py 10 12 14 > selftest.c
selftest_short.c:
	./mk_test.py -s 10 12 14 > selftest_short.c

clean:
	rm -f *~ bm_* st_* tr_* kf_* tkfc_* ff_* ffr_* *.pyc *.pyo *.dat

=== debian/changelog ===
silverjuke (15.4-1build1) wily; urgency=medium

  * No-change rebuild against libwx*-0v5

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Aug 2015 12:29:34 +0200

silverjuke (15.4-1) unstable; urgency=medium

  * Initial release (Closes: #784902)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 29 Jun 2015 09:49:31 +0200

## silverjuke 15.9.3

=== debian/changelog ===
silverjuke (15.9.3-1) unstable; urgency=medium

  * Imported Upstream version 15.9.3

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 21 Nov 2015 07:02:44 +0100

silverjuke (15.8-1) unstable; urgency=medium

  * Imported Upstream version 15.8
  * Remove 0002-Fix-package-version-number.patch, not needed anymore

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 29 Oct 2015 09:08:55 +0100

silverjuke (15.6.1-1) unstable; urgency=medium

  * Imported Upstream version 15.6.1
  * Refresh patch
  * Add new patch to fix package version number

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 23 Oct 2015 11:05:12 +0200

=== debian/control ===
Source: silverjuke
Section: sound
Priority: optional
Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, zlib1g-dev, libxine2-dev,
 libsqlite3-dev, libwxgtk3.0-dev, python3-docutils
Standards-Version: 3.9.6
Homepage: http://www.silverjuke.net/
Vcs-Git: git://anonscm.debian.org/users/toddy/debian/silverjuke.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/toddy/debian/silverjuke.git;a=summary

Package: silverjuke
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: jukebox, karaoke, and kiosk mode mp3 player
 Silverjuke is an easy to use jukebox solution implemented in wxWidgets.
 Some of the features are:
  * Wide range of supported audio formats (MP1, MP2, MP3, MPC, MP+,
    Ogg-Vorbis, FLAC, Monkey's Audio, WavPack, WAV, AIFF, MOD),
    more formats can be implemented using modules
  * Internal sound processing with 32 bit (for crossfading, autovolume,
    jingles, smart shuffle, VST effect plugings)
  * Kiosk mode, supports touchscreens
  * Track information can be edited (ID3-tags)
  * Support for playlists (M3U, PLS, CUE)
  * Fully skinnable
  * Powerful search

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with autoreconf

# Remove some automatically installed files which are not needed
override_dh_auto_install:
	dh_auto_install
	rm debian/silverjuke/usr/share/doc/silverjuke/LICENSE
	rm debian/silverjuke/usr/share/doc/silverjuke/CHANGES.md
	rm debian/silverjuke/usr/share/doc/silverjuke/command-line.rst

## silverjuke 15.10.1

=== debian/changelog ===
silverjuke (15.10.1-1) unstable; urgency=medium

  * Imported Upstream version 15.10.1

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 05 Dec 2015 16:49:39 +0100

## silverjuke 16.1.2

=== debian/changelog ===
silverjuke (16.1.2-2) unstable; urgency=medium

  * Add patch for FTBFS on some architectures
  * Update Vcs-* URLS

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 28 Jan 2016 08:45:38 +0100

silverjuke (16.1.2-1) unstable; urgency=medium

  * Imported Upstream version 16.1.2
  * Remove d/menu
  * Refresh patches
  * Add patch for version number

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 14 Jan 2016 16:40:39 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
  libsqlite3-dev, libwxgtk3.0-dev, python3-docutils
 Standards-Version: 3.9.6
 Homepage: http://www.silverjuke.net/
-Vcs-Git: git://anonscm.debian.org/users/toddy/debian/silverjuke.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/toddy/debian/silverjuke.git;a=summary
+Vcs-Browser: https://anonscm.debian.org/cgit/users/toddy/debian/silverjuke.git
+Vcs-Git: https://anonscm.debian.org/git/users/toddy/debian/silverjuke.git
 
 Package: silverjuke
 Architecture: any

## silverjuke 16.2.3

=== debian/changelog ===
silverjuke (16.2.3-1) unstable; urgency=medium

  * Imported Upstream version 16.2.3
  * Correctly enable hardening build flags
  * Remove patches, all have been applied upstream
  * Update Build-Depends
  * Update copyright
  * Update Standards-Version to 3.9.7, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 14 Feb 2016 15:05:57 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: sound
 Priority: optional
 Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, zlib1g-dev, libxine2-dev,
+Build-Depends: debhelper (>= 9), dh-autoreconf, zlib1g-dev,
+ libgl1-mesa-dev, libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev,
  libsqlite3-dev, libwxgtk3.0-dev, python3-docutils
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://www.silverjuke.net/
 Vcs-Browser: https://anonscm.debian.org/cgit/users/toddy/debian/silverjuke.git
 Vcs-Git: https://anonscm.debian.org/git/users/toddy/debian/silverjuke.git

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
-
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
 	dh $@ --with autoreconf

## silverjuke 16.5.3

=== debian/changelog ===
silverjuke (16.5.3-2) unstable; urgency=medium

  * Switch Vcs-URLs to salsa.d.o
  * Use HTTPS for upstream's homepage
  * Update Standards-Version to 4.1.3
    - Use HTTPS for d/copyright
  * Update d/copyright
  * Use debhelper v11
    - Remove call to dh-autoreconf, is now debhelper default
  * Enable compilation with libupnp6 and libupnp10.
    Thanks to Uwe Kleine-König <ukleinek@debian.org> (Closes: #884250)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 22 Jan 2018 21:11:03 +0100

silverjuke (16.5.3-1) unstable; urgency=medium

  * Imported Upstream version 16.5.3
  * Add libupnp-dev to Build-Depends
  * Update Standards-Version to 3.9.8, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 23 Jun 2016 11:15:43 +0200

silverjuke (16.3.5-1) unstable; urgency=medium

  * Imported Upstream version 16.3.5

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 18 Mar 2016 16:44:05 +0100

silverjuke (16.3.3-1) unstable; urgency=medium

  * Imported Upstream version 16.3.3

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 14 Mar 2016 17:11:53 +0100

silverjuke (16.3.2-1) unstable; urgency=medium

  * Imported Upstream version 16.3.2

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 12 Mar 2016 16:14:48 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: sound
 Priority: optional
 Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, zlib1g-dev,
+Build-Depends: debhelper (>= 11), zlib1g-dev,
  libgl1-mesa-dev, libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev,
- libsqlite3-dev, libwxgtk3.0-dev, python3-docutils
-Standards-Version: 3.9.7
-Homepage: http://www.silverjuke.net/
-Vcs-Browser: https://anonscm.debian.org/cgit/users/toddy/debian/silverjuke.git
-Vcs-Git: https://anonscm.debian.org/git/users/toddy/debian/silverjuke.git
+ libsqlite3-dev, libwxgtk3.0-dev, libupnp-dev (>= 1:1.6.24~), python3-docutils
+Standards-Version: 4.1.3
+Homepage: https://www.silverjuke.net/
+Vcs-Browser: https://salsa.debian.org/debian/silverjuke
+Vcs-Git: https://salsa.debian.org/debian/silverjuke.git
 
 Package: silverjuke
 Architecture: any

## silverjuke 18.2.1

=== src/kiss_fft/test/Makefile ===

WARNINGS=-W -Wall -Wstrict-prototypes -Wmissing-prototypes -Waggregate-return \
    -Wcast-align -Wcast-qual -Wnested-externs -Wshadow -Wbad-function-cast \
    -Wwrite-strings

CFLAGS=-O3 -I.. -I../tools $(WARNINGS)
CFLAGS+=-ffast-math -fomit-frame-pointer 
#CFLAGS+=-funroll-loops
#CFLAGS+=-march=prescott 
#CFLAGS+= -mtune=native 
# TIP: try adding -openmp or -fopenmp  to enable OPENMP directives and use of multiple cores
#CFLAGS+=-fopenmp
CFLAGS+= $(CFLAGADD)


ifeq "$(NFFT)" ""
 NFFT=1800
endif
ifeq "$(NUMFFTS)" ""
 NUMFFTS=10000
endif

ifeq "$(DATATYPE)" ""
 DATATYPE=float
endif

BENCHKISS=bm_kiss_$(DATATYPE)
BENCHFFTW=bm_fftw_$(DATATYPE)
SELFTEST=st_$(DATATYPE)
TESTREAL=tr_$(DATATYPE)
TESTKFC=tkfc_$(DATATYPE)
FASTFILTREAL=ffr_$(DATATYPE)
SELFTESTSRC=twotonetest.c


TYPEFLAGS=-Dkiss_fft_scalar=$(DATATYPE)

ifeq  "$(DATATYPE)" "int16_t" 
 TYPEFLAGS=-DFIXED_POINT=16
endif

ifeq  "$(DATATYPE)" "int32_t"
 TYPEFLAGS=-DFIXED_POINT=32 
endif

ifeq  "$(DATATYPE)" "simd"
 TYPEFLAGS=-DUSE_SIMD=1 -msse
endif


ifeq  "$(DATATYPE)" "float"
 # fftw needs to be built with --enable-float to build this lib
 FFTWLIB=-lfftw3f
else
 FFTWLIB=-lfftw3
endif

FFTWLIBDIR=-L/usr/local/lib/

SRCFILES=../kiss_fft.c ../tools/kiss_fftnd.c ../tools/kiss_fftr.c pstats.c ../tools/kfc.c ../tools/kiss_fftndr.c

all: tools $(BENCHKISS) $(SELFTEST) $(BENCHFFTW) $(TESTREAL) $(TESTKFC)

tools:
	cd ../tools && make all


$(SELFTEST): $(SELFTESTSRC) $(SRCFILES)
	$(CC) -o $@ $(CFLAGS) $(TYPEFLAGS) $+ -lm 

$(TESTKFC): $(SRCFILES) 
	$(CC) -o $@ $(CFLAGS)  -DKFC_TEST $(TYPEFLAGS) $+ -lm
	
$(TESTREAL): test_real.c $(SRCFILES)
	$(CC) -o $@ $(CFLAGS) $(TYPEFLAGS) $+ -lm

$(BENCHKISS): benchkiss.c $(SRCFILES)
	$(CC) -o $@ $(CFLAGS) $(TYPEFLAGS)  $+ -lm

$(BENCHFFTW): benchfftw.c pstats.c
	@echo "======attempting to build FFTW benchmark"
	@$(CC) -o $@ $(CFLAGS) -DDATATYPE$(DATATYPE) $+ $(FFTWLIB) $(FFTWLIBDIR) -lm || echo "FFTW not available for comparison"

test: all
	@./$(TESTKFC)
	@echo "======1d & 2-d complex fft self test (type= $(DATATYPE) )"
	@./$(SELFTEST)
	@echo "======real FFT (type= $(DATATYPE) )"
	@./$(TESTREAL)
	@echo "======timing test (type=$(DATATYPE))"
	@./$(BENCHKISS) -x $(NUMFFTS) -n $(NFFT) 
	@[ -x ./$(BENCHFFTW) ] && ./$(BENCHFFTW) -x $(NUMFFTS) -n $(NFFT) ||true
	@echo "======higher dimensions type=$(DATATYPE))"
	@./testkiss.py

selftest.c:
	./mk_test.py 10 12 14 > selftest.c
selftest_short.c:
	./mk_test.py -s 10 12 14 > selftest_short.c


CXXFLAGS=-O3 -ffast-math -fomit-frame-pointer  -I.. -I../tools -W -Wall
testcpp: testcpp.cc ../kissfft.hh
	$(CXX) -o $@ $(CXXFLAGS) testcpp.cc -lm


clean:
	rm -f *~ bm_* st_* tr_* kf_* tkfc_* ff_* ffr_* *.pyc *.pyo *.dat testcpp

=== debian/changelog ===
silverjuke (18.2.1-4) unstable; urgency=medium

  [ Dr. Tobias Quathamer ]
  * Build-Depend on libwxgtk3.2-dev. (Closes: #1019787)
  * Update d/copyright
  * Update to Standards-Version 4.6.1, no changes needed
  * Update watch file to v4
  * Add gbp.conf for DEP-14 branch layout

  [ Scott Talbert ]
  * Patch for wxWidgets 3.2 compatibility

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 18 Sep 2022 20:21:55 +0200

silverjuke (18.2.1-3) unstable; urgency=medium

  * Add patch to update freedb URL to gnudb.gnudb.org
  * Use debhelper v13
  * Update Standards-Version to 4.5.0, no changes needed
  * Remove unneeded DEB_LDFLAGS_MAINT_APPEND

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 25 Jun 2020 14:00:52 +0200

silverjuke (18.2.1-2) unstable; urgency=medium

  * Use libwxgtk3.0-gtk3-dev instead of libwxgtk3.0-dev. (Closes: #933472)
    - Add patch to enable usage of wxGLCanvas
  * Update d/copyright
  * Update upstream github URLs to new location
  * Switch to debhelper-compat v12
  * Update Standards-Version to 4.4.0, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 01 Aug 2019 00:25:15 +0200

silverjuke (18.2.1-1) unstable; urgency=medium

  * New upstream version 18.2.1
    - Remove patch for libupnp10, has been applied upstream
  * Update d/copyright
  * Use wrap-and-sort

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 10 Feb 2018 14:53:18 +0100

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,23 @@
 Section: sound
 Priority: optional
 Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
-Build-Depends: debhelper (>= 11), zlib1g-dev,
- libgl1-mesa-dev, libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev,
- libsqlite3-dev, libwxgtk3.0-dev, libupnp-dev (>= 1:1.6.24~), python3-docutils
-Standards-Version: 4.1.3
+Build-Depends: debhelper-compat (= 13),
+               libgl1-mesa-dev,
+               libgstreamer-plugins-base1.0-dev,
+               libgstreamer1.0-dev,
+               libsqlite3-dev,
+               libupnp-dev,
+               libwxgtk3.2-dev,
+               python3-docutils,
+               zlib1g-dev
+Standards-Version: 4.6.1
 Homepage: https://www.silverjuke.net/
 Vcs-Browser: https://salsa.debian.org/debian/silverjuke
 Vcs-Git: https://salsa.debian.org/debian/silverjuke.git
 
 Package: silverjuke
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: jukebox, karaoke, and kiosk mode mp3 player
  Silverjuke is an easy to use jukebox solution implemented in wxWidgets.
  Some of the features are:

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,12 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 # Remove some automatically installed files which are not needed
 override_dh_auto_install:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/silverjuke-$1\.tar\.gz/ \
  https://github.com/silverjuke/silverjuke/releases .*/v?(\d\S*)\.tar\.gz
